Package org.apache.datasketches.hive.tuple

## Class ArrayOfDoublesSketchesTTestUDF

- java.lang.Object
- - org.apache.hadoop.hive.ql.exec.UDF
  - - org.apache.datasketches.hive.tuple.ArrayOfDoublesSketchesTTestUDF

    public class ArrayOfDoublesSketchesTTestUDF
    extends org.apache.hadoop.hive.ql.exec.UDF

### Constructor Summary

Constructors
`ArrayOfDoublesSketchesTTestUDF()`

### Method Summary

All Methods Instance Methods Concrete Methods
`List<Double>` `evaluate​(org.apache.hadoop.io.BytesWritable serializedSketchA, org.apache.hadoop.io.BytesWritable serializedSketchB)` T-test on a given pair of ArrayOfDoublesSketches

### Methods inherited from class org.apache.hadoop.hive.ql.exec.UDF

`getRequiredFiles, getRequiredJars, getResolver, setResolver`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ArrayOfDoublesSketchesTTestUDF

    public ArrayOfDoublesSketchesTTestUDF()

### Method Detail

#### evaluate

    public List<Double> evaluate​(org.apache.hadoop.io.BytesWritable serializedSketchA,
                                 org.apache.hadoop.io.BytesWritable serializedSketchB)

T-test on a given pair of ArrayOfDoublesSketches

Parameters:
  `serializedSketchA` - ArrayOfDoublesSketch in as serialized binary
  `serializedSketchB` - ArrayOfDoublesSketch in as serialized binary
Returns:
  list of p-values